Bug 838696 - [abrt] shutter-0.87.3-2.fc17: __GI_raise: Process /usr/bin/perl was killed by signal 6 (SIGABRT)
[abrt] shutter-0.87.3-2.fc17: __GI_raise: Process /usr/bin/perl was killed by...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: shutter (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Liang Suilong
Fedora Extras Quality Assurance
abrt_hash:a81d50a1f3fd733cf9120bc8eb0...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-09 16:06 EDT by Philipp Gampe
Modified: 2012-08-10 14:51 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-10 14:51:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (25.49 KB, text/plain)
2012-07-09 16:06 EDT, Philipp Gampe
no flags Details
File: maps (72.12 KB, text/plain)
2012-07-09 16:06 EDT, Philipp Gampe
no flags Details
File: dso_list (15.25 KB, text/plain)
2012-07-09 16:06 EDT, Philipp Gampe
no flags Details
File: build_ids (5.85 KB, text/plain)
2012-07-09 16:06 EDT, Philipp Gampe
no flags Details

  None (edit)
Description Philipp Gampe 2012-07-09 16:06:31 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/bin/perl /usr/bin/shutter --min_at_startup
crash_function: __GI_raise
executable:     /usr/bin/perl
kernel:         3.4.4-3.fc17.x86_64
pid:            2731
pwd:            /home/phil
time:           Mo 09 Jul 2012 19:09:29 CEST
uid:            1000
username:       phil
var_log_messages: Jul  9 19:09:30 phil-lenovo abrt[8970]: Saved core dump of pid 2731 (/usr/bin/perl) to /var/spool/abrt/ccpp-2012-07-09-19:09:29-2731 (108642304 bytes)

backtrace:      Text file, 26101 bytes
build_ids:      Text file, 5986 bytes
dso_list:       Text file, 15616 bytes
maps:           Text file, 73855 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/phil/2

core_backtrace:
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x35965 raise libc.so.6 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x37118 abort libc.so.6 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x68867 g_assertion_message libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x68d84 g_assertion_message_expr libglib-2.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x100628 - libgtk-x11-2.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x1020ee - libgtk-x11-2.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x10218c - libgtk-x11-2.0.so.0 -
:6ffd106c467fc2bbbe04c9509d66f7d97d2a751f 0x6ce77 g_simple_async_result_complete libgio-2.0.so.0 -
:6ffd106c467fc2bbbe04c9509d66f7d97d2a751f 0x6cef8 - libgio-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x476e5 g_main_context_dispatch libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47a18 - libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47e12 g_main_loop_run libglib-2.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x14ac27 gtk_main libgtk-x11-2.0.so.0 -
:9a37cbf2097fec1a6b1e86d9b1d0c118efb981b7 0xf71ee XS_Gtk2_main Gtk2.so -
:2c405ce5fce74af8975b07d2f21ba9b899567d6c 0xb517c Perl_pp_entersub libperl.so -
:2c405ce5fce74af8975b07d2f21ba9b899567d6c 0xac546 Perl_runops_standard libperl.so -
:2c405ce5fce74af8975b07d2f21ba9b899567d6c 0x4e115 perl_run libperl.so -
:8ed8754a6ecf9b98e3fd1b6bf5eb991121567a26 0xd39 - [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=phil-lenovo.local
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=d3596a84aee244da9fd9af950000001c-1341673750.427356-1314511391
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/run/user/phil/keyring-WYHjOL
:QTINC=/usr/lib64/qt-3.3/include
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=phil
:USERNAME=phil
:MAIL=/var/spool/mail/phil
:PATH=/usr/lib64/qt-3.3/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/phil/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/phil
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=2432
:LANG=de_DE.utf8
:GDM_LANG=de_DE.utf8
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/phil
:SHLVL=1
:LOGNAME=phil
:QTLIB=/usr/lib64/qt-3.3/lib
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-1xYGYtGI2f,guid=499d84b4a47857b1a27686ae0000002a
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/phil
:DISPLAY=:0
:QT_PLUGIN_PATH=/usr/lib64/kde4/plugins:/usr/lib/kde4/plugins
:CCACHE_HASHDIR=
:XAUTHORITY=/var/run/gdm/auth-for-phil-SMb39H/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/2436,unix/unix:/tmp/.ICE-unix/2436
:SSH_AUTH_SOCK=/run/user/phil/keyring-WYHjOL/ssh
:GPG_AGENT_INFO=/run/user/phil/keyring-WYHjOL/gpg:0:1
:LC_TIME=de_DE.utf8
:LC_NUMERIC=de_DE.utf8
:LC_MONETARY=de_DE.utf8
:LC_MEASUREMENT=de_DE.utf8
:DESKTOP_AUTOSTART_ID=10cbf7378fffc1883c134167375148794200000024360007

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 61925                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       61925                61925                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/phil/.xsession-errors
:pos:	847874
:flags:	0102002
:2:/home/phil/.xsession-errors
:pos:	847874
:flags:	0102002
:3:/usr/bin/shutter
:pos:	384949
:flags:	02100000
:4:socket:[27560]
:pos:	0
:flags:	02004002
:5:/usr/share/shutter/resources/modules/Shutter/App/TrashInfo.pm
:pos:	2116
:flags:	02100000
:6:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:7:/usr/share/shutter/resources/modules/Shutter/App/Autostart.pm
:pos:	2575
:flags:	02100000
:8:socket:[32809]
:pos:	0
:flags:	02004002
:9:socket:[32819]
:pos:	0
:flags:	02004002
:10:anon_inode:inotify
:pos:	0
:flags:	02004000
:11:socket:[31222]
:pos:	0
:flags:	02004002
:12:anon_inode:inotify
:pos:	0
:flags:	04000

smolt_data:
:
:
:Allgemein
:=================================
:UUID: 9b8e3a61-4c75-4e47-9fce-460366203061
:OS: Fedora release 17 (Beefy Miracle)
:Standard-Runlevel: Unknown
:Sprache: de_DE.utf8
:Plattform: x86_64
:BogoMIPS: 4984.22
:CPU-Anbieter: GenuineIntel
:CPU-Modell: Intel(R) Core(TM) i5-2520M CPU @ 2.50GHz
:CPU-Stepping: 7
:CPU Familie: 6
:CPU-Modellnummer: 42
:Anzahl der CPUs: 4
:CPU-Geschwindigkeit: 2501
:Systemspeicher: 7762
:System-Swap: 2013
:Anbieter: LENOVO
:System: 4180PH3 ThinkPad T420
:Form-Faktor: Notebook
:Kernel: 3.4.4-3.fc17.x86_64
:SELinux aktiviert: 1
:SELinux-Richtlinie: targeted
:SELinux erzwingen: Permissive
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Geräte
:=================================
:(32902:7247:6058:8654) pci, None, PCI/ISA, QM67 Express Chipset Family LPC Controller
:(4480:59427:6058:8654) pci, sdhci-pci, BASE, N/A
:(32902:294:6058:8656) pci, i915, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7190:6058:8654) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:6058:8654) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7186:6058:8654) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 2
:(32902:7192:6058:8654) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 5
:(32902:7200:6058:8654) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:5378:6058:8654) pci, e1000e, ETHERNET, 82579LM Gigabit Network Connection
:(32902:7213:6058:8654) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7202:6058:8654) pci, i801_smbus, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(32902:16952:32902:4369) pci, iwlwifi, NETWORK, Centrino Ultimate-N 6300 3x3 AGN
:(32902:7171:6058:8654) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7229:6058:8654) pci, serial, 16550_SERIAL, 6 Series/C200 Series Chipset Family KT Controller
:(32902:7206:6058:8654) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:260:6058:8654) pci, agpgart-intel, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:6058:8654) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:
:
:Dateisysteminformationen
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/luks-94db8421-7547-48c8-939b-db2b16835b7e / ext4 4096 4096 7664614 3736810 3352631 1921360 1494908 1494908
:/dev/sdb1 /boot ext4 4096 4096 255178 226770 213970 64000 63686 63686
:/dev/sda4 WITHHELD ext4 4096 4096 63921403 35745487 32545487 16007168 15937405 15937405
:/dev/mapper/luks-72679f4b-4943-43b5-86fb-730be733255f /home ext4 4096 4096 8416227 2547034 2125172 2109408 1777622 1777622
:

xsession_errors:
:INFO: new plugin information detected - /usr/share/shutter/resources/system/plugins/perl/sp3dreflection/sp3dreflection
:INFO: new plugin information detected - /usr/share/shutter/resources/system/plugins/perl/sp3drotate/sp3drotate
:INFO: new plugin information detected - /usr/share/shutter/resources/system/plugins/perl/spbardistortion/spbardistortion
:INFO: new plugin information detected - /usr/share/shutter/resources/system/plugins/perl/spbordereffects/spbordereffects
:INFO: new plugin information detected - /usr/share/shutter/resources/system/plugins/perl/spnegate/spnegate
:INFO: new plugin information detected - /usr/share/shutter/resources/system/plugins/perl/sppolaroid/sppolaroid
:INFO: new plugin information detected - /usr/share/shutter/resources/system/plugins/perl/spresize/spresize
:INFO: new plugin information detected - /usr/share/shutter/resources/system/plugins/perl/spsepia/spsepia
:INFO: new plugin information detected - /usr/share/shutter/resources/system/plugins/perl/spshadow/spshadow
:INFO: new plugin information detected - /usr/share/shutter/resources/system/plugins/perl/spwatermark/spwatermark
Comment 1 Philipp Gampe 2012-07-09 16:06:36 EDT
Created attachment 597138 [details]
File: backtrace
Comment 2 Philipp Gampe 2012-07-09 16:06:38 EDT
Created attachment 597139 [details]
File: maps
Comment 3 Philipp Gampe 2012-07-09 16:06:41 EDT
Created attachment 597140 [details]
File: dso_list
Comment 4 Philipp Gampe 2012-07-09 16:06:43 EDT
Created attachment 597141 [details]
File: build_ids
Comment 5 Robin Lee 2012-08-10 10:49:28 EDT
Is this reproducible?
Comment 6 Philipp Gampe 2012-08-10 14:51:51 EDT
I do not know what I did ... so I think the bug report is now pretty useless.

I just spend five minutes to play around with shutter and it did not crash or malfunction, thus I think that bug (whatever it was) has been fixed already or somehow the source of it has been changed.

At least I can say, for now it work without errors.

Note to myself: always write down what you did ... you will not remember a month later.

Note You need to log in before you can comment on or make changes to this bug.